This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 239943 - System Install Packages locks up.
System Install Packages locks up.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-12 19:28 EDT by Leslie Satenstein
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-25 21:58:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Requested strace file (16.37 MB, application/octet-stream)
2007-05-14 22:29 EDT, Leslie Satenstein
no flags Details

  None (edit)
Description Leslie Satenstein 2007-05-12 19:28:17 EDT
Description of problem:

root      3953  3950  2 19:23 ?        00:00:00 /usr/bin/python -tt
/usr/sbin/system-install-packages /root/Desktop/kernel-xe
n-2.6.20-2925.8.fc7.i686.rpm

Version-Release number of selected component (if applicable):


How reproducible:

As of May 12th updates, this is BROKEN

Steps to Reproduce:
1. find an rpm file, right click with mouse (GNOME), 
Blank panel will be presented, with no activity, save for a wait message.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2007-05-14 14:44:35 EDT
Can you strace the process to see what it's doing?

Also, are there any errors in your ~/.xsession-errors? 
Comment 2 Leslie Satenstein 2007-05-14 22:29:49 EDT
Created attachment 154704 [details]
Requested strace file   

The long wait was here

futex(0x93a4ab0, FUTEX_WAIT, 0, NULL)	= -1 EINTR (Interrupted system call)
--- SIGWINCH (Window changed) @ 0 (0) ---
futex(0x93a4ab0, FUTEX_WAIT, 0, NULL)	= -1 EINTR (Interrupted system call)
--- SIGWINCH (Window changed) @ 0 (0) ---
futex(0x93a4ab0, FUTEX_WAIT, 0, NULL)	= -1 EINTR (Interrupted system call)
--- SIGWINCH (Window changed) @ 0 (0) ---
futex(0x93a4ab0, FUTEX_WAIT, 0, NULL)	= -1 EINTR (Interrupted system call)
--- SIGWINCH (Window changed) @ 0 (0) ---
There is a 60 second wait at this last line (note the incomplete expression)

futex(0x93a4ab0, FUTEX_WAIT, 0, NULL)	= -1 EINTR (Interrupted system call)
--- SIGWINCH (Window changed) @ 0 (0) ---
futex(0x93a4ab0, FUTEX_WAIT, 0, NULL)	= -1 EINTR (Interrupted system call)
--- SIGWINCH (Window changed) @ 0 (0) ---
futex(0x93a4ab0, FUTEX_WAIT, 0, NULL		    <<<<<<<<<<<<<<< incomplete

Note You need to log in before you can comment on or make changes to this bug.